# @foundation-base/search-fields

> Base search-fields component for foundation

## Install

```bash
npm install --save @foundation-base/search-fields
```

## Props

### `action: string`

The `action` prop is to pass the type of the `search-fields`. It can either be `search` or `default`.

### `name: string`

The `name` prop is to pass the `name` attribute to the `<input>` tag of the `search-fields`.

### `id: string`

The `id` prop is to pass the `id` attribute to the `<input>` tag of the `search-fields`.

### `value?: string`

The `value` prop is to pass the `value` attribute to the `<input>` tag of the `search-fields`.

### `type?: string`

The `type` prop is to pass the `type` attribute to the `<input>` tag of the `search-fields`.

### `placeholder?: string`

The `placeholder` prop is to pass the `placeholder` attribute to the `<input>` tag of the `search-fields`.

### `required?: string`

The `required` prop is to pass the `required` attribute to the `<input>` tag of the `search-fields`.

### `disabled?: boolean`

The `disabled` prop is to pass the `disabled` attribute to the `<input>` tag of the `search-fields`.

### `onChange?: (e: any) => void`

The `onChange` prop is used to perform an action based on the change of content in the `search-fields`.

## License

MIT © [lijoejohn](https://github.com/lijoejohn)
